Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.daemon.terminal
Interface Terminal

All Known Implementing Classes:
  BasicTerminal

public interface Terminal

DOCUMENT ME!

Field Summary
`static byte` | `A` DOCUMENT ME!
`static byte` | `B` DOCUMENT ME!
`static byte` | `BS` DOCUMENT ME!
`static byte` | `C` DOCUMENT ME!
`static byte` | `CAN` DOCUMENT ME!
`static byte` | `D` DOCUMENT ME!
`static byte` | `DEL` DOCUMENT ME!
`static byte` | `E` DOCUMENT ME!
`static byte` | `EOT` DOCUMENT ME!
`static byte` | `ESC` DOCUMENT ME!
`static byte` | `f` DOCUMENT ME!
`static byte` | `FF` DOCUMENT ME!
`static byte` | `H` DOCUMENT ME!
`static byte` | `HT` DOCUMENT ME!
`static byte` | `LE` DOCUMENT ME!
`static byte` | `LSB` DOCUMENT ME!
`static byte` | `r` DOCUMENT ME!
`static byte` | `SE` DOCUMENT ME!
`static byte` | `SEMICOLON` DOCUMENT ME!
`static byte` | `SGR` DOCUMENT ME!

Method Summary
`java.lang.String` | `format(java.lang.String str)` DOCUMENT ME!
`int` | `getAtomicSequenceLength()` DOCUMENT ME!
`byte[]` | `getCursorMoveSequence(int dir, int times)` DOCUMENT ME!
`byte[]` | `getCursorPositioningSequence(int[] pos)` DOCUMENT ME!
`byte[]` | `getEraseSequence(int eraseFunc)` DOCUMENT ME!
`byte[]` | `getGRSequence(int type, int param)` DOCUMENT ME!
`byte[]` | `getInitSequence()` DOCUMENT ME!
`java.lang.String` | `getName()` DOCUMENT ME!
`byte[]` | `getScrollMarginsSequence(int topmargin, int bottommargin)` DOCUMENT ME!
`byte[]` | `getSpecialSequence(int sequence)` DOCUMENT ME!
`boolean` | `supportsScrolling()` DOCUMENT ME!
`boolean` | `supportsSGR()` DOCUMENT ME!
`int` | `translateControlCharacter(int byteread)` DOCUMENT ME!
`int` | `translateEscapeSequence(int[] buffer)` DOCUMENT ME!

Field Detail

### EOT

    public static final byte EOT

  DOCUMENT ME!

  See Also:
    Constant Field Values

### BS

    public static final byte BS

  DOCUMENT ME!

  See Also:
    Constant Field Values

### DEL

    public static final byte DEL

  DOCUMENT ME!

  See Also:
    Constant Field Values

### HT

    public static final byte HT

  DOCUMENT ME!

  See Also:
    Constant Field Values

### FF

    public static final byte FF

  DOCUMENT ME!

  See Also:
    Constant Field Values

### SGR

    public static final byte SGR

  DOCUMENT ME!

  See Also:
    Constant Field Values

### CAN

    public static final byte CAN

  DOCUMENT ME!

  See Also:
    Constant Field Values

### ESC

    public static final byte ESC

  DOCUMENT ME!

  See Also:
    Constant Field Values

### LSB

    public static final byte LSB

  DOCUMENT ME!

  See Also:
    Constant Field Values

### SEMICOLON

    public static final byte SEMICOLON

  DOCUMENT ME!

  See Also:
    Constant Field Values

### A

    public static final byte A

  DOCUMENT ME!

  See Also:
    Constant Field Values

### B

    public static final byte B

  DOCUMENT ME!

  See Also:
    Constant Field Values

### C

    public static final byte C

  DOCUMENT ME!

  See Also:
    Constant Field Values

### D

    public static final byte D

  DOCUMENT ME!

  See Also:
    Constant Field Values

### E

    public static final byte E

  DOCUMENT ME!

  See Also:
    Constant Field Values

### H

    public static final byte H

  DOCUMENT ME!

  See Also:
    Constant Field Values

### f

    public static final byte f

  DOCUMENT ME!

  See Also:
    Constant Field Values

### r

    public static final byte r

  DOCUMENT ME!

  See Also:
    Constant Field Values

### LE

    public static final byte LE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### SE

    public static final byte SE

  DOCUMENT ME!

  See Also:
    Constant Field Values

Method Detail

### getName

    public java.lang.String getName()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### translateControlCharacter

    public int translateControlCharacter(int byteread)

  DOCUMENT ME!

  Parameters:
    `byteread` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### translateEscapeSequence

    public int translateEscapeSequence(int[] buffer)

  DOCUMENT ME!

  Parameters:
    `buffer` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getEraseSequence

    public byte[] getEraseSequence(int eraseFunc)

  DOCUMENT ME!

  Parameters:
    `eraseFunc` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getCursorMoveSequence

    public byte[] getCursorMoveSequence(int dir,
                                        int times)

  DOCUMENT ME!

  Parameters:
    `dir` - DOCUMENT ME!
    `times` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getCursorPositioningSequence

    public byte[] getCursorPositioningSequence(int[] pos)

  DOCUMENT ME!

  Parameters:
    `pos` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getSpecialSequence

    public byte[] getSpecialSequence(int sequence)

  DOCUMENT ME!

  Parameters:
    `sequence` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getScrollMarginsSequence

    public byte[] getScrollMarginsSequence(int topmargin,
                                           int bottommargin)

  DOCUMENT ME!

  Parameters:
    `topmargin` - DOCUMENT ME!
    `bottommargin` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getGRSequence

    public byte[] getGRSequence(int type,
                                int param)

  DOCUMENT ME!

  Parameters:
    `type` - DOCUMENT ME!
    `param` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### format

    public java.lang.String format(java.lang.String str)

  DOCUMENT ME!

  Parameters:
    `str` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getInitSequence

    public byte[] getInitSequence()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### supportsSGR

    public boolean supportsSGR()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### supportsScrolling

    public boolean supportsScrolling()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getAtomicSequenceLength

    public int getAtomicSequenceLength()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD